<template>
    <div>
        <div class="mb-5" v-if="languageItem">
            <div class="row mt-5">
                <div class="col-md-10 offset-md-1 col-sm-12 text-center">
                    <div class="bg-white shadow-sm py-5">

                        <div class="row  d-flex align-items-center">
                            <div class="col-md-3">
                                <div class="mr-3 v-language__description__avatar mx-auto">
                                    <img :src="languageItem.image" :alt="languageItem.name">
                                </div>
                            </div>
                            <div class="col-12 text-left col-md-6">
                                <div class="p-3">
                                    <h2 class="font-weight-bold mt-3">
                                        {{languageItem.name}}
                                    </h2>
                                    <div class="">
                                        <h4>
                                            {{languageItem.description}}
                                        </h4>

                                    </div>
                                    <div class="">
                                        {{languageItem.summary}}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-3  ">
                                <div class="mt-3 w-50 mx-auto">
                                    <button v-on:click="viewStories" type="button" class="btn btn-info w-100">Stories</button>
                                </div>
                                <div class="mt-3 w-50 mx-auto">
                                    <button v-on:click="addStory" type="button" class="btn btn-info w-100">New story</button>
                                </div>
                                <div class="mt-3 w-50 mx-auto d-none">
                                    <button type="button" class="btn btn-info w-100">My stories</button>
                                </div>
                            </div>
                        </div>

                        <div class="text-center p-3 d-none">
                            <a class="v-language--clickable" v-on:click="showMore = !showMore">
                                <span v-if="showMore">Hide</span> <span v-if="!showMore">More</span> information and helpful
                                tips</a>
                            <transition name="slide-fade">
                                <div v-if="showMore">
                                    something
                                </div>
                            </transition>
                        </div>
                    </div>

                </div>
            </div>
            <div class="row mt-4" v-if="languageItem.featured_story">
                <div class="col-md-10 offset-md-1 col-sm-12">
                    <story-item :story="languageItem.featured_story"></story-item>
                </div>
            </div>
        </div>
        <div v-else>
            <div class="row mt-5">
                <div class="col-md-10 offset-md-1 col-sm-12 text-center text-danger">
                    There is an error loading language. Please try again.
                </div>
            </div>
        </div>
    </div>

</template>

<script>
    import StoryItem from "../components/story/StoryItem";

    export default {
        name: "Language",
        components: {StoryItem},
        data() {
            return {
                showMore: false,
                languageItem: null
            };
        },
        props: {
            slug: {type: String, required: true}
        },
        created() {

            this.$http.get('languages/'+this.slug)
                .then((response) => {
                    this.languageItem  = response.data.data
                }).catch((e) => {

            });

        },
        methods:{
            viewStories($user) {
                if ($user){
                    this.$router.push({name: 'stories', params: { slug: this.languageItem.slug, user: $user.slug}});
                } else{
                    this.$router.push({name: 'stories', params: { slug:  this.languageItem.slug}});
                }
            },
            addStory() {
                    this.$router.push({name: 'storyNew', params: { slug:  this.languageItem.slug}}).catch(error=> error);
            }
        }
    }
</script>
